------------------------------------------------------------------------
r7349 | mhall | 2011-06-30 14:19:44 +1200 (Thu, 30 Jun 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/version.txt

Updated to 3.6.5
------------------------------------------------------------------------
r7369 | mhall | 2011-07-15 09:57:47 +1200 (Fri, 15 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffPanel.java

The replace values menu item now allows the target value to be replaced by missing value.
------------------------------------------------------------------------
r7375 | mhall | 2011-07-19 15:43:33 +1200 (Tue, 19 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/mi/MISMO.java

Fixed a bug where the nominal to binary filter was not getting applied in distributionForInstance().
------------------------------------------------------------------------
r7381 | mhall | 2011-07-22 10:33:20 +1200 (Fri, 22 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/messages/messages.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/messages/messages_ja.properties

Array index out of bounds exception caused by some problems with i18n substitution of strings. A couple of key names were incorrect in the english properties and it seems the the resource bundle trims white space from the start of a value. Fixed.
------------------------------------------------------------------------
r7385 | mhall | 2011-07-23 21:30:36 +1200 (Sat, 23 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/messages/messages.properties

Fixed one entry.
------------------------------------------------------------------------
r7386 | mhall | 2011-07-23 21:31:40 +1200 (Sat, 23 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/treevisualizer/TreeVisualizer.java

Auto scale was not working and font sizes not appearing in the popup menu - both due to incorrect i18n keys - fixed.
------------------------------------------------------------------------
r7391 | mhall | 2011-07-24 18:57:14 +1200 (Sun, 24 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/AbstractFileLoader.java

m_structure is now transient.
------------------------------------------------------------------------
r7392 | mhall | 2011-07-24 19:00:31 +1200 (Sun, 24 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/ArffLoader.java

getDataSet() now no longer adds instances to m_structure during a read. Now it adds instances to a local Instances object that gets returned. This helps save memory since a reference to the full data set is not kept hanging around.
------------------------------------------------------------------------
r7398 | mhall | 2011-07-25 11:42:41 +1200 (Mon, 25 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Executing threads were storing a reference to the full training data set instead of just the header - fixed.
------------------------------------------------------------------------
r7406 | mhall | 2011-07-25 18:27:25 +1200 (Mon, 25 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/VisualizePanel.java

Some small changes to account for the fact that java.util.ResourceBundle's getString(key) method seems to trim white space from the start of values.
------------------------------------------------------------------------
r7411 | mhall | 2011-07-26 15:31:01 +1200 (Tue, 26 Jul 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

Some clusterers and associators were not getting serialized correctly because "options" was not set as an allowed property - fixed.
------------------------------------------------------------------------
r7431 | mhall | 2011-08-01 16:19:19 +1200 (Mon, 01 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/CSVLoader.java

getStructure() now returns an empty set of instances where all attributes are String attributes. This now allows the CSVLoader to be used in a cross-validation run in the KnowledgeFlow. This was not possible previously because the ClassValuePicker prevents configuration if the class is numeric. Improvements to the ClassValuePicker's customizer now allow a label to be specified when the upstream data source can't provide full structure information on nominal attributes.
------------------------------------------------------------------------
r7433 | mhall | 2011-08-02 10:33:20 +1200 (Tue, 02 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java

Now only does one run of xval if the threshold is less than zero.
------------------------------------------------------------------------
r7437 | mhall | 2011-08-02 15:53:15 +1200 (Tue, 02 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePickerCustomizer.java

Drop down box customization now checks for special strings such as "/first", "/last" and "/<num>".
------------------------------------------------------------------------
r7439 | mhall | 2011-08-02 16:04:51 +1200 (Tue, 02 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassAssigner.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassAssignerCustomizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePicker.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePickerBeanInfo.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Loader.java
   A /branches/stable-3-6/weka/src/main/java/weka/gui/beans/StructureProducer.java

Changes to allow components to pull the structure of incoming data from an upstream data producer
------------------------------------------------------------------------
r7441 | mhall | 2011-08-02 16:19:08 +1200 (Tue, 02 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassValuePickerCustomizer.java

Parsing of index values was out by one - fixed.
------------------------------------------------------------------------
r7444 | mhall | 2011-08-02 16:22:53 +1200 (Tue, 02 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ClassAssignerCustomizer.java

Drop down box customization now checks for special strings such as "first" and "last" as well as matching against the attribute name. If all else fails, also checks to see if the value can be parsed as a number (i.e. attribute index).
------------------------------------------------------------------------
r7454 | mhall | 2011-08-04 21:10:00 +1200 (Thu, 04 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/AbstractLoader.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/Loader.java

Moved some constants out of AbstractLoader into Loader. Loader now specifies the setRetrieval() method
------------------------------------------------------------------------
r7457 | mhall | 2011-08-04 21:25:47 +1200 (Thu, 04 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/DatabaseLoader.java

getStructure() and getDataSet() were painfully slow when determining the structure of largish data sets with many nominal attributes. For batch retrieval getStructure() now returns an approximate structure (where potentially nominal attributes are set to String). getDataSet() now uses InstanceQuery (which determines the true structure on the fly as the data is loaded from the database). Incremental retrieval is still problematic in the case where there are many nominal attributes as the true structure has to be determined before the instances are streamed.
------------------------------------------------------------------------
r7458 | mhall | 2011-08-04 21:31:02 +1200 (Thu, 04 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Loader.java

Now sets the retrieval method prior to loading mainly so that database laoder's getStructure method will operate in approximate mode in the batch loading case.
------------------------------------------------------------------------
r7459 | mhall | 2011-08-04 23:03:34 +1200 (Thu, 04 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java

Changing database configuration now resets the Loader. Now now longer gets the loader to push the structure downstream after configuration since ClassAssigner and ClassValuePicker will pull this using the new StructureProducer interface.
------------------------------------------------------------------------
r7460 | mhall | 2011-08-05 11:19:18 +1200 (Fri, 05 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/LogPanel.java

Now trims white space of of special status "command" strings when checking to account for any trailing spaces that might have been introduced during externalization of strings for i18n.
------------------------------------------------------------------------
r7462 | mhall | 2011-08-07 19:22:27 +1200 (Sun, 07 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/logging/FileLogger.java

Log file writing has never worked under Windows due to the regex based replacement of placeholders interpreting Windows backslash separator characters as special characters - fixed.
------------------------------------------------------------------------
r7464 | mhall | 2011-08-12 14:57:08 +1200 (Fri, 12 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ConverterFileChooser.java

Missing i18n key - fixed.
------------------------------------------------------------------------
r7467 | mhall | 2011-08-13 10:34:09 +1200 (Sat, 13 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/CSVSaver.java

Now makes sure that attribute names are quoted if they contain special characters.
------------------------------------------------------------------------
r7470 | mhall | 2011-08-13 10:43:14 +1200 (Sat, 13 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveUseless.java

Now removes attributes (not the class, if set) with all missing values.
------------------------------------------------------------------------
r7477 | mhall | 2011-08-18 20:08:50 +1200 (Thu, 18 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/associations/Apriori.java

Description of conviction was incomplete in the help info - fixed.
------------------------------------------------------------------------
r7499 | mhall | 2011-08-22 10:49:10 +1200 (Mon, 22 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/DatabaseSaver.java

Capabilities was missing string attributes and string class - fixed.
------------------------------------------------------------------------
r7506 | fracpete | 2011-08-29 13:14:05 +1200 (Mon, 29 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java

correct handling of string/relational attributes now (ie copying of values)
------------------------------------------------------------------------
r7510 | mhall | 2011-08-30 20:07:58 +1200 (Tue, 30 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/RegressionSplitEvaluator.java

Was trying to enable thread cpu time in cases when it is not supported - fixed.
------------------------------------------------------------------------
r7513 | mhall | 2011-08-30 20:11:58 +1200 (Tue, 30 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java

Was trying to enable thread cpu time in cases when it is not supported - fixed.
------------------------------------------------------------------------
r7516 | mhall | 2011-08-30 20:15:52 +1200 (Tue, 30 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/CostSensitiveClassifierSplitEvaluator.java

Was trying to enable thread cpu time in cases when it is not supported - fixed.
------------------------------------------------------------------------
r7519 | mhall | 2011-08-30 20:23:55 +1200 (Tue, 30 Aug 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Debug.java

Was trying to enable thread cpu time in cases when it is not supported - fixed.
------------------------------------------------------------------------
r7527 | mhall | 2011-09-01 09:22:31 +1200 (Thu, 01 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/Explorer.props

Added properties to enable/disable undo point saving, and to specify a directory (other than temp) for storing undo files
------------------------------------------------------------------------
r7529 | mhall | 2011-09-01 09:23:27 +1200 (Thu, 01 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Now checks for the properties that control the creation and location of undo files.
------------------------------------------------------------------------
r7548 | mhall | 2011-09-10 14:17:15 +1200 (Sat, 10 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/ModelPerformanceChart.java

Added checks so that this component can be part of a flow that runs in a headless environment.
------------------------------------------------------------------------
r7553 | mhall | 2011-09-11 21:08:00 +1200 (Sun, 11 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/Utils.java

Now backquotes/unbackquotes unicode 'Information separator two' (\u001E).
------------------------------------------------------------------------
r7554 | fracpete | 2011-09-12 09:25:26 +1200 (Mon, 12 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffTableModel.java

replaces now "<" and ">" with "(" and ")" in strings in order to avoid the Java HTML parser to hang
------------------------------------------------------------------------
r7560 | mhall | 2011-09-13 16:13:26 +1200 (Tue, 13 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/misc/SerializedClassifier.java

Got rid of the annoying exception that gets printed out in the console when getCapabilities() is called by the Explorer before the user gets a chance to configure a valid serialized model file.
------------------------------------------------------------------------
r7561 | mhall | 2011-09-13 16:43:31 +1200 (Tue, 13 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/LibSVM.java

Distribution from one class svm was returning an array that contained a single NaN (missing value) instead of a single 0 (as per the specs in Classifier) for outlier/unclassified instances - fixed.
------------------------------------------------------------------------
r7589 | mhall | 2011-09-21 11:47:24 +1200 (Wed, 21 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java

Now caches AttributeStats information rather than recomputing each time the attribute to visualize is changed.
------------------------------------------------------------------------
r7595 | mhall | 2011-09-27 10:08:22 +1300 (Tue, 27 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java

Now has an option to allow the user to specify that the filter should be applied to instances that arrive after the first batch has been processed. By default these instances are returned without passing through the parser - this means that, when used with the FilteredClassifier, a test instance is always made available by this filter. If the option to enable filtering of test instances is turned on, then the filter can be used with subsequent batches, but might "consume" a test instance when used with the FilteredClassifier.
------------------------------------------------------------------------
r7597 | mhall | 2011-09-27 10:31:52 +1300 (Tue, 27 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java

Javadoc update.
------------------------------------------------------------------------
r7599 | mhall | 2011-09-27 10:42:56 +1300 (Tue, 27 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java

Javadoc fix.
------------------------------------------------------------------------
r7602 | mhall | 2011-09-27 10:55:47 +1300 (Tue, 27 Sep 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/RemoveWithValues.java

Now has an option to allow the user to specify that the filter should *not* be applied to instances that arrive after the first batch has been processed. In this case, an instance is returned untouched by the filter (and thus doesn't potentially get consumed).
------------------------------------------------------------------------
r7647 | mhall | 2011-10-04 21:57:22 +1300 (Tue, 04 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Now works properly in headless environments.
------------------------------------------------------------------------
r7651 | fracpete | 2011-10-06 12:58:54 +1300 (Thu, 06 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericArrayEditor.java

"Edit" button never updated the editor after the first dialog had been displayed (m_PD != null), always displaying the first ever edited object from then on; m_PD now gets always re-initialized
------------------------------------------------------------------------
r7686 | mhall | 2011-10-12 21:36:47 +1300 (Wed, 12 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/rules/OneR.java

Now makes a copy of the data before sorting when creating a rule on a numeric attribute. This ensures that ties in attribute values are handled consistently and are'nt affected by sorting performed for any previous numeric attributes. For example, before this change the best rule for iris was petallength, however, if all attributes but petalwidth are first removed then the rule on petalwidth is actually more accurate by one instance (i.e. only sorting once results, by more fortuitous ordering of ties, in better split points in terms of accuracy on the training data).
------------------------------------------------------------------------
r7703 | mhall | 2011-10-15 20:22:22 +1300 (Sat, 15 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/ArffLoader.java

Internal ArffReader was not getting freed when reset() was called - fixed.
------------------------------------------------------------------------
r7706 | mhall | 2011-10-15 21:00:22 +1300 (Sat, 15 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/AbstractFileSaver.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/ArffSaver.java

Now supports saving with gzip compression
------------------------------------------------------------------------
r7710 | mhall | 2011-10-15 21:21:35 +1300 (Sat, 15 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Saver.java

Was not reporting option settings in the status output - fixed.
------------------------------------------------------------------------
r7745 | mhall | 2011-10-18 11:58:28 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/RunPanel.java

Was missing a couple of spaces in the Run panel output after internationalization - fixed.
------------------------------------------------------------------------
r7746 | mhall | 2011-10-18 16:05:38 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages.properties

Fixed some alignment issues in output info introduced from internationalization
------------------------------------------------------------------------
r7747 | mhall | 2011-10-18 16:13:13 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Added an extra space in the output of timing info - needed due to externalization of strings for internationalization.
------------------------------------------------------------------------
r7752 | mhall | 2011-10-18 20:54:14 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages.properties

Fixed some more alignment issues in output info introduced from internationalization
------------------------------------------------------------------------
r7753 | mhall | 2011-10-18 21:05:21 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/clusterers/ClusterEvaluation.java

Added the ability to specify whether the cluster model should be output as part of the summary text or not.
------------------------------------------------------------------------
r7754 | mhall | 2011-10-18 21:05:53 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

Now outputs time taken to train the clustering model.
------------------------------------------------------------------------
r7755 | mhall | 2011-10-18 21:30:07 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages.properties

Slight modification to clustering output for separate test set
------------------------------------------------------------------------
r7760 | mhall | 2011-10-18 21:42:41 +1300 (Tue, 18 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages_ja.properties

Updated for new cluster model building timing information - thanks to Shingo Yamagami for the translations.
------------------------------------------------------------------------
r7767 | mhall | 2011-10-19 21:46:29 +1300 (Wed, 19 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/LogPanel.java

Fixed a minor bug in extracting scheme options from status messages.
------------------------------------------------------------------------
r7810 | mhall | 2011-10-28 13:55:32 +1300 (Fri, 28 Oct 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages.properties
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages_ja.properties

Fixed another internationalization bug
------------------------------------------------------------------------
